メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /v1/environments 現在のアカウント配下のすべてのアーカイブされていない Environment を一覧表示します。ページネーションをサポートします。

ヘッダー

ヘッダーフィールド必須説明
AuthorizationBearer $QODER_PATはい個人アクセストークン

クエリパラメータ

パラメータ必須説明
limitintegerいいえ1 ページあたりの返却件数(デフォルト 20)
after_idstringいいえカーソルページング: この ID より後のレコードを返す
before_idstringいいえカーソルページング: この ID より前のレコードを返す

リクエスト例

curl -s -X GET 'https://openapi.qoder.sh/api/v1/cloud/environments' \
  -H 'Authorization: Bearer $QODER_PAT'

レスポンス例

{
  "data": [
    {
      "id": "env_019e3bb39b6774d8878cd0b9d237574b",
      "type": "environment",
      "name": "doc-test-env",
      "description": "",
      "status": "ready",
      "config": {
        "type": "cloud",
        "networking": {
          "type": "limited"
        },
        "packages": {
          "apt": [
            "curl"
          ]
        }
      },
      "created_at": "2026-05-18T15:28:07.017808Z",
      "updated_at": "2026-05-18T15:28:07.017808Z"
    },
    {
      "id": "env_019e2590d33f711fabf42f2857cecd8a",
      "type": "environment",
      "name": "default",
      "description": "",
      "status": "ready",
      "config": {
        "type": "cloud",
        "networking": {
          "allow_package_managers": true,
          "type": "limited"
        },
        "packages": {}
      },
      "created_at": "2026-05-14T08:18:28.800813Z",
      "updated_at": "2026-05-14T08:18:28.800813Z"
    }
  ],
  "first_id": "env_019e3bb39b6774d8878cd0b9d237574b",
  "has_more": false,
  "last_id": "env_019e2590d33f711fabf42f2857cecd8a"
}

レスポンスフィールド

フィールド説明
dataarrayEnvironment オブジェクトの配列
first_idstring現在のページの最初のレコードの ID
last_idstring現在のページの最後のレコードの ID
has_morebooleanさらにページングできるデータがあるかどうか
詳細は ページネーション を参照してください。

エラーコード

HTTP ステータスコードエラータイプ説明
401authentication_error認証失敗、PAT が無効または期限切れ
403permission_errorこのリソースにアクセスする権限がない